%global debug_package   %{nil}
%global provider_tld    com
%global provider        google
%global provider_prefix code
%global project         p
%global repo            text
%global import_path     %{provider_prefix}.%{provider}.%{provider_tld}/%{project}/go.%{repo}
%global rev             024681b033bea960a9312d2420f5c942d4a3a7f0
%global shortrev        %(r=%{rev}; echo ${r:0:12})

Name:       golang-%{provider}%{provider_prefix}-%{repo}
Version:    0
Release:    0.1.hg%{shortrev}%{?dist}
Summary:    Supplementary Go text libraries
License:    CC-BY
URL:        http://%{import_path}
Source0:    https://%{repo}.go.%{provider}%{provider_prefix}.%{provider_tld}/archive/%{rev}.tar.gz
BuildArch:  noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:   golang >= 1.2.1-3
Summary:    Supplementary Go text libraries
Provides:   golang(%{import_path}/cldr) = %{version}-%{release}
Provides:   golang(%{import_path}/collate) = %{version}-%{release}
Provides:   golang(%{import_path}/collate/build) = %{version}-%{release}
Provides:   golang(%{import_path}/collate/colltab) = %{version}-%{release}
Provides:   golang(%{import_path}/collate/tools/colcmp) = %{version}-%{release}
Provides:   golang(%{import_path}/display) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding/charmap) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding/japanese) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding/korean) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding/simplifiedchinese) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding/traditionalchinese) = %{version}-%{release}
Provides:   golang(%{import_path}/encoding/unicode) = %{version}-%{release}
Provides:   golang(%{import_path}/internal/triegen) = %{version}-%{release}
Provides:   golang(%{import_path}/internal/ucd) = %{version}-%{release}
Provides:   golang(%{import_path}/language) = %{version}-%{release}
Provides:   golang(%{import_path}/transform) = %{version}-%{release}
Provides:   golang(%{import_path}/unicode/norm) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use the supplementary Go text libraries.

%prep
%setup -qn %{repo}.go-%{shortrev}

%build

%install
install -dp %{buildroot}%{gopath}/src/%{import_path}
for dir in */ ; do
   cp -rpav $dir %{buildroot}%{gopath}/src/%{import_path}/
done

%check
for dir in $(find . -mindepth 0 -maxdepth 3 -type d); do
# test fails for transform
    if [[ $(find $dir -maxdepth 1 -name *_test.go | wc -l) != '0' && $dir != "./transform" ]]; then
        GOPATH=%{gopath}:%{buildroot}%{gopath} go test %{import_path}/$dir
    fi

done

# delete encoding/testdata
rm -rf %{buildroot}%{gopath}/src/%{import_path}/encoding/testdata

%files devel
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS README
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/*
%dir %{gopath}/src/%{import_path}/*/*
%dir %{gopath}/src/%{import_path}/*/*/*
%{gopath}/src/%{import_path}/*/Makefile
%{gopath}/src/%{import_path}/*/*/Makefile
%{gopath}/src/%{import_path}/*/*/*/Makefile
%{gopath}/src/%{import_path}/*/*.go
%{gopath}/src/%{import_path}/*/*/*.go
%{gopath}/src/%{import_path}/*/*/*/*.go

%changelog
* Sun Sep 28 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.hg024681b033be
- Resolves: rhbz#1056285 - Initial package
